Module javafx.graphics
Package javafx.stage

# Enum PopupWindow.AnchorLocation

java.lang.Object
java.lang.Enum<PopupWindow.AnchorLocation>
javafx.stage.PopupWindow.AnchorLocation

All Implemented Interfaces:
  `Serializable`, `Comparable<PopupWindow.AnchorLocation>`, `Constable`

Enclosing class:
  PopupWindow

    public static enum PopupWindow.AnchorLocation
    extends Enum<PopupWindow.AnchorLocation>

Anchor location constants for popup anchor point selection.

Since:
  JavaFX 8.0

- ## Nested Class Summary

  ## Nested classes/interfaces declared in class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `CONTENT_BOTTOM_LEFT` | Represents bottom left content corner.
  `CONTENT_BOTTOM_RIGHT` | Represents bottom right content corner.
  `CONTENT_TOP_LEFT` | Represents top left content corner.
  `CONTENT_TOP_RIGHT` | Represents top right content corner.
  `WINDOW_BOTTOM_LEFT` | Represents bottom left window corner.
  `WINDOW_BOTTOM_RIGHT` | Represents bottom right window corner.
  `WINDOW_TOP_LEFT` | Represents top left window corner.
  `WINDOW_TOP_RIGHT` | Represents top right window corner.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static PopupWindow.AnchorLocation` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
  `static PopupWindow.AnchorLocation[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods declared in class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods declared in class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### WINDOW_TOP_LEFT

    public static final PopupWindow.AnchorLocation WINDOW_TOP_LEFT
    Represents top left window corner.

  - ### WINDOW_TOP_RIGHT

    public static final PopupWindow.AnchorLocation WINDOW_TOP_RIGHT
    Represents top right window corner.

  - ### WINDOW_BOTTOM_LEFT

    public static final PopupWindow.AnchorLocation WINDOW_BOTTOM_LEFT
    Represents bottom left window corner.

  - ### WINDOW_BOTTOM_RIGHT

    public static final PopupWindow.AnchorLocation WINDOW_BOTTOM_RIGHT
    Represents bottom right window corner.

  - ### CONTENT_TOP_LEFT

    public static final PopupWindow.AnchorLocation CONTENT_TOP_LEFT
    Represents top left content corner.

  - ### CONTENT_TOP_RIGHT

    public static final PopupWindow.AnchorLocation CONTENT_TOP_RIGHT
    Represents top right content corner.

  - ### CONTENT_BOTTOM_LEFT

    public static final PopupWindow.AnchorLocation CONTENT_BOTTOM_LEFT
    Represents bottom left content corner.

  - ### CONTENT_BOTTOM_RIGHT

    public static final PopupWindow.AnchorLocation CONTENT_BOTTOM_RIGHT
    Represents bottom right content corner.

- ## Method Details

  - ### values

    public static PopupWindow.AnchorLocation[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static PopupWindow.AnchorLocation valueOf​(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null